Delete Bank assigned to Virtual Account
VIRTUAL ACCOUNT - Delete Bank assigned to Virtual Account
Section titled “VIRTUAL ACCOUNT - Delete Bank assigned to Virtual Account”This API will delete a particular bank account details of the merchant assigned to virtual account if we pass merchant id, bank id, virtual account no and UID correctly.
https://kraken.airpay.co.in/airpay/va/api/Header
Section titled “Header”| Field | Type | Description |
|---|---|---|
| Content-Type | String | application/x-www-form-urlencoded |
Parameter
Section titled “Parameter”| Field | Type | Description |
|---|---|---|
| action | String | Action to perform - delete_bank (required) |
| private_key | Alphanumeric | Private Key (length 10-200) (required) private_key = hash(‘sha256’, secret.’@’.username.’: |
| merchant_id | Numeric | Merchant Id (required) |
| bank_id | Numeric | Bank Id from Airpay (required) |
| virtual_account_number | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| UID | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum | Alphanumeric | Hash generated by : sha1(virtual_account_number.bank_id.UID.action.merchant_id.private_key) (required) |
Request-Example:
Section titled “Request-Example:”curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \--form 'action=delete_bank' \--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \--form 'merchant_id=1' \--form 'bank_id=9' \--form 'virtual_account_number=2293640000000010242' \--form 'checksum=5bb886a73f85ac43d41c5b13219697ea086854c9'Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| STATUS | Number | Status Code Success - 200 Failed - 400 |
| MESSAGE | String | Status Message Success - 200 Transaction is success Transaction in Process - 211 Transaction in processing Failed - 400 Transaction in failed Dropped - 401 The transaction will not register properly Cancel - 402 payment that has not yet been processed Incomplete - 403 Not recieved any call back from bank Bounced - 405 The transaction has bounced No Records - 503 There is no records found Virtual account is invalid - 526 |
Success-Response:
Section titled “Success-Response:”HTTP/1.1 200 OK{ "STATUS": "200", "MESSAGE": "Success"}Failed-Response:
Section titled “Failed-Response:”HTTP/1.1 200 OK{ "STATUS": "400", "MESSAGE": "Failed"}